﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Net;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Animation;
using System.Windows.Shapes;
using Microsoft.Phone.Controls;


// System.Json.dll skal findes som reference med browser her: C:\Program Files (x86)\Microsoft SDKs\Silverlight\v4.0\Libraries\Client\System.Json.dll
// Kan bruges selv om phone ikke har alle silverlight dll'er med normalt


namespace JsonPhoneApp
{
    public partial class MainPage : PhoneApplicationPage
    {
        string JsonTxt = "{\"rektangelListe\":[{\"Bredde\":10,\"Længde\":20},{\"Bredde\":30,\"Længde\":40},{\"Bredde\":40,\"Længde\":40},{\"Bredde\":20,\"Længde\":20}]}";

        
        // Constructor
        public MainPage()
        {
            InitializeComponent();
        }

        private void button1_Click(object sender, RoutedEventArgs e)
        {
            textBlock1.Text = "";

            System.IO.Stream memStream = new System.IO.MemoryStream(System.Text.Encoding.UTF8.GetBytes(JsonTxt));
            System.Json.JsonValue jValue = System.Json.JsonObject.Load(memStream);    // man kan få stream fra WebCient

            JsonValueTraversering(jValue);
        }

        private void button2_Click(object sender, RoutedEventArgs e)
        {
            textBlock1.Text = "";

            System.Json.JsonValue jValue = System.Json.JsonObject.Parse(JsonTxt);

            JsonValueTraversering(jValue);
        }

        private void JsonValueTraversering(System.Json.JsonValue jValue)
        {
            textBlock1.Text += "Json Value Traverseres" + Environment.NewLine;
            foreach (System.Collections.Generic.KeyValuePair<string, System.Json.JsonValue> jElm in jValue)
            {
                string elmKey = jElm.Key;
                System.Json.JsonValue elmValue = jElm.Value;
                if (elmValue.JsonType == System.Json.JsonType.Array)
                {
                    textBlock1.Text += "Key: " + elmKey+ Environment.NewLine;
                    foreach (System.Json.JsonValue listeElm in elmValue)
                        JsonValueTraversering(listeElm);
                }
                else
                {
                    textBlock1.Text += "Key: " + elmKey + " - value:" + elmValue.ToString() + Environment.NewLine;
                }
            }
            textBlock1.Text += Environment.NewLine;
        }
    }
}