﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Web.Script.Serialization;

namespace WebApplication1
{
    public partial class WebForm1 : System.Web.UI.Page
    {
        protected void Page_Load(object sender, EventArgs e)
        {

        }

        protected void Button1_Click(object sender, EventArgs e)
        {
            string JsonTxt = "{\"rektangelListe\":[{\"Bredde\":10,\"Længde\":20},{\"Bredde\":30,\"Længde\":40},{\"Bredde\":40,\"Længde\":40},{\"Bredde\":20,\"Længde\":20}]}";

            JavaScriptSerializer ser = new JavaScriptSerializer();
            object o = ser.DeserializeObject(JsonTxt);
            JsonValueTraversering(o);
        }
        private void JsonValueTraversering(object jValue)
        {
            if (! (jValue is System.Collections.IDictionary)) return;
            TextBox1.Text += "Json Value Traverseres" + Environment.NewLine;
            foreach (System.Collections.DictionaryEntry jElm in (jValue as System.Collections.IDictionary))
            {
                string elmKey = jElm.Key.ToString();
                object elmValue = jElm.Value;
                if (elmValue is System.Collections.IEnumerable)
                {
                    TextBox1.Text += "Key: " + elmKey + Environment.NewLine;
                    foreach (object listeElm in (elmValue as System.Collections.IEnumerable))
                        JsonValueTraversering(listeElm);
                }
                else
                {
                    TextBox1.Text += "Key: " + elmKey + " - value:" + elmValue.ToString() + Environment.NewLine;
                }
            }
            TextBox1.Text += Environment.NewLine;
        }
    }
}